summaryrefslogtreecommitdiff
path: root/makeinfo/tests/node-expand
diff options
context:
space:
mode:
Diffstat (limited to 'makeinfo/tests/node-expand')
-rwxr-xr-xmakeinfo/tests/node-expand12
1 files changed, 12 insertions, 0 deletions
diff --git a/makeinfo/tests/node-expand b/makeinfo/tests/node-expand
new file mode 100755
index 0000000..26dee24
--- /dev/null
+++ b/makeinfo/tests/node-expand
@@ -0,0 +1,12 @@
+#!/bin/sh
+# Test command expansion in node names.
+
+unset TEXINFO_OUTPUT
+: ${srcdir=.}
+
+../makeinfo --commands-in-node-names $srcdir/node-expand.txi
+test -s node-expand.info
+exit_status=$?
+
+rm -f node-expand.info
+exit $exit_status